{% extends 'base.html.twig' %}

{% block body -%}
<main class='main-content'>
    <div id='mainContent'>
        <h1>Dispositivi Gestiti</h1>

        <table class="table table-striped table-hover ">
            <thead>
            <tr>
                <th><a href="{{ orderUrls.serial }}">Seriale</a></th>
                <th><a href="{{ orderUrls.name }}">Nome</a></th>
                <th>Mac Address</th>
                <th><a href="{{ orderUrls.osVersion }}">Os Version</a></th>
                <th>Dep</th>
                <th>Supervisionato</th>
                <th><a href="{{ orderUrls.orderByServer }}">Server MDM</a></th>
                <th><a href="{{ orderUrls.lastname }}">Proprietario</a></th>
                <th>Classe</th>
                <th><a href="{{ orderUrls.lastInfoUpdate }}">Ultimo Agg. Dati</a></th>
            </tr>
            </thead>
            <tbody>
            {% for paginatedDevice in paginatedDevices %}
                <tr>
                    <td>{{ paginatedDevice.serial }}</td>
                    <td>{{ paginatedDevice.name }}</td>
                    <td>{{ paginatedDevice.mac }}</td>
                    <td>{{ paginatedDevice.osVersion }}</td>
                    <td>{% if paginatedDevice.fromDep %}<i class="fas fa-check"></i>{% endif %}</td>
                    <td>{% if paginatedDevice.supervised %}<i class="fas fa-check"></i>{% endif %}</td>
                    <td>{{ paginatedDevice.mdmServer.name }}</td>
                    <td>{% if paginatedDevice.owner %}{{ paginatedDevice.owner.lastname }} {{ paginatedDevice.owner.firstname }}{% endif %}</td>
                    <td>{% if paginatedDevice.owner.getNotManuallyManagedGroups is defined %}{{ paginatedDevice.owner.getNotManuallyManagedGroups|join(', ') }}{% endif %}</td>
                    <td>{{ paginatedDevice.lastInfoUpdate|date('d/m/Y H:i') }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
        <br class="hidden-md hidden-lg" />
        <div class="row">
            <div class="col-md-4">
                <div class="navigation" style="margin: -20px 0;">
                    {{ knp_pagination_render(paginatedDevices) }}
                </div>
            </div>
            <div class="col-md-8">
                <form class="form-search" action="{{ path('mdm_device_list') }}">
                    <div class="row">
                        <div class="col-sm-4 mb-1">
                            <select id="fromDep" name="fromDep" class="form-select">
                                <option value="">Tutte le provenienze</option>
                                <option value="1" {{ ((filters.fromDep is defined) and (filters.fromDep == "1"))?"selected" }}>Solo da Dep</option>
                                <option value="0" {{ ((filters.fromDep is defined) and (filters.fromDep == "0"))?"selected" }}>Non dal Dep</option>
                            </select>
                        </div>
                        <div class="col-sm-4 mb-1">
                            <select id="ownerType" name="ownerType" class="form-select">
                                <option value="">Tutti i tipi di proprietari</option>
                                <option value="student" {{ ((filters.ownerType is defined) and (filters.ownerType == "student"))?"selected" }}>Studente</option>
                                <option value="teacher" {{ ((filters.ownerType is defined) and (filters.ownerType == "teacher"))?"selected" }}>Docente</option>
                                <option value="none" {{ ((filters.ownerType is defined) and (filters.ownerType == "none"))?"selected" }}>Nessun Proprietario</option>
                            </select>
                        </div>
                        <div class="col-sm-4 mb-1">
                            <div class="input-group">
                                <input type="text" id="q" name="q" class="form-control" placeholder="Cerca"
                                       value="{{ (filters.q is defined)?filters.q|escape('html') }}">
                                <span class="input-group-btn">
                                    <button class="btn btn-secondary" type="submit"><i class="fa-solid fa-magnifying-glass"></i></button>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-4 mb-1">
                            <select id="supervised" name="supervised" class="form-select">
                                <option value="">Tutti gli stati di supervisione</option>
                                <option value="1" {{ ((filters.supervised is defined) and (filters.supervised == "1"))?"selected" }}>Supervisionato</option>
                                <option value="0" {{ ((filters.supervised is defined) and (filters.supervised == "0"))?"selected" }}>Non Supervisionato</option>
                            </select>
                        </div>
                        <div class="col-sm-4 mb-1">
                            <select id="mdmServer" name="mdmServer" class="form-select">
                                <option value="">Tutti server</option>
                                {% for mdmServer in mdmServers %}
                                    <option value="{{ mdmServer.id }}" {{ ((filters.mdmServer is defined) and (mdmServer.id==filters.mdmServer))?"selected" }}
                                    >{{ mdmServer.name }}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-sm-4 mb-1">
                            <div class="checkbox">
                                <input type="checkbox" value="1" name="moreDevices" id="moreDevices" {{ ((filters.moreDevices is defined) and (filters.moreDevices == "1"))?"checked" }}>
                                <label for="moreDevices">Possiede più di un dispositivo</label>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</main>
{% endblock %}